Subject: Re: Git dumb HTTP protocol should work without update-server-info

From: Junio C Hamano <[email-masked]>
Date: Sun, 07 Sep 2025 21:14:32 -0700

Jeff King <[email-masked]> writes:

> Possibly dumb-http could learn to do the same scraping that httpdirfs
> does to get the refs and pack listings (though this might be quite slow
> for unpacked refs, if the ref tree is deep).

Please don't.  Once you go that route, that is no longer "dumb http"
at all.